Wikimedia Foundation Technology and Product Q&A
Closed, ResolvedPublic

Description

Wikimedia Foundation Technology and Product Q&A, with Victoria Coleman (CTO) and Wes Moran (VP of Product).

Etherpad

https://etherpad.wikimedia.org/p/devsummit17-dev-and-product-q&a

After running a survey during 25 days and receiving 1840 votes on 40 ideas, we got a prioritized list of questions (source): https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Program/Wikimedia_Foundation_Product_and_Technology_Q%26A

Participation

This Q&A is a point in time to start / continue good conversations. No final answers are expected today, even less any decisions. We will collect action points for the discussions started, and we will start new discussions about the questions asked after the Summit.

@Qgil will ask the questions to @VColeman and @Wwes. They will reply. Others may chime in... as long as they take an action about the question discussed.

Why? We want to keep a productive balance between

  • Victoria and Wes speaking vs others participating
  • discussing questions without getting stuck in details
  • covering various questions without being too superficial

And ultimately, we want to find the best answers and get things done.

Facilitator(s): @Qgil

Note-Taker(s): @ksmith, @Quiddity, @Aklapper

Remote Moderator: @Elitre, @MelodyKramer

Qgil created this task.Dec 13 2016, 11:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2016, 11:19 AM
Qgil updated the task description. (Show Details)Dec 13 2016, 11:26 AM
Qgil added a comment.Dec 20 2016, 8:51 AM

Email sent to to wikitech-l and wmfall:

Hi,

On the second day of the Wikimedia Developer Summit (January 10) there will be a Q&A session with Victoria Coleman (Wikimedia Foundation CTO) and Wes Moran (VP of Product). It is a plenary session and it will be video-streamed.

The questions for this session are being crowdsourced at http://www.allourideas.org/wikidev17-product-technology-questions. Anyone can propose questions and vote, anonymously, as many times as you want. At the moment, we have 25 questions and 451 votes.

An important technical detail: questions posted later have also good chances to make it to the top of the list as long as new voters select them. The ranking is made out of comparisons between questions, not accumulation of votes. For instance, the current top question is in fact one of the last that has been submitted so far.

Why posting or voting a good question? One obvious reason is to encourage the Foundation's Technology and Product top managers to bring a good answer in a public session with minutes taken and video recording. :) Beyond that, if the ranking of questions makes sense and is backed by participation numbers, it has a serious chance to influence plans and discussions beyond the Summit.

The current ranking does make sense, but maybe you could help covering more areas, other perspectives?

  • How do we deal with the lack of maintainers for all Wikimedia deployed code?
  • Do we have a plan to bring our developer documentation to the level of a top Internet website, a major free software project?
  • For WMF dev teams, what is the right balance between pushing own work versus seeking and supporting volunteer contributors?
  • During the next year or so, what balance do you think we should strike between new projects and technical debt?
  • When are we going to work on a modern talk pages system for good?
  • Whose responsibility is to assure that all MediaWiki core components and the extensions deployed in Wikimedia have active maintainers?
  • How important is to have a well maintained and well promoted catalog of tools, apps, gadgets, bots, templates, extensions...?
  • Will MediaWiki ever become easier to install and manage? (e.g. plugin manager à la Wordpress). How much do we care about enterprise users?
  • What should be the role of the Architecture Committee in WMF planning (priorities, goals, resources...) and are we there yet?
  • In addition to Community Tech, should the other WMF Product teams prioritize their work taking into account the Community Wishlist results?

    The full list: http://www.allourideas.org/wikidev17-product-technology-questions/results

To the owner of this session: Here is the link to the session guidelines page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines. We encourage you to recruit Note-taker(s) 2(min) and 3(max), Remote Moderator, and Advocate (optional) on the spot before the beginning of your session. Instructions about each role player's task are outlined in the guidelines. The physical version of the role cards will be made available in all the session rooms. Good luck prepping, see you at the summit! :)

Qgil raised the priority of this task from Normal to High.Jan 7 2017, 3:33 PM

Note-taker(s) of this session: Follow the instructions here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Session_Guidelines#NOTE-TAKER.28S.29 After the session, DO NOT FORGET to copy the relevant notes and summary into a new wiki page following the template here: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Your_Session and also link this from the All Session Notes page: https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/All_Session_Notes. The EtherPad links are also now linked from the Schedule page (https://www.mediawiki.org/wiki/Wikimedia_Developer_Summit/2017/Schedule) for you!

Qgil updated the task description. (Show Details)Jan 10 2017, 4:56 PM
Qgil added subscribers: VColeman, MelodyKramer, Wwes and 3 others.
MelodyKramer updated the task description. (Show Details)Jan 10 2017, 5:20 PM
Qgil lowered the priority of this task from High to Low.Jan 17 2017, 7:42 AM

I will keep this task open until this exercise is considered exhausted. Right after the session we agreed that we wanted to organize more, online. Let's aim for a Tech Talk around February 20, not to add more activities during the Developer-Wishlist (2017) time.

At the Summit we covered these questions:

  • 1. How can we ensure timely reviews of volunteer contributions to MediaWiki code?
  • 2. During the next year or so, what balance do you think we should strike between new projects and technical debt?
  • 3. How can we encourage more volunteer contributions to the MediaWiki codebase?
  • 4. What is the biggest threat to Wikimedia/MediaWiki in terms of technology?

The notes are here. Someone (myself, unless someone wants to be faster) should review them and extract action points (if any), turning them into tasks. We should be looking especially at points that should be taken into account in our upcoming annual plan and our various teams goals.

I think this exercise alone would also deserve a post in the Wikimedia Blog (but I have a backlog of blog posts to publish). Since we will continue with the sessions on a monthly basis, that blog post may come at a later stage and still be current.

About the next sessions, we could skip the strict list and try to group topics in monthly sessions, still respecting the priorities reflected in the backlog. The next question is

  1. For WMF dev teams, what is the right balance between pushing own work versus seeking and supporting volunteer contributors?

(Slightly) Related to balancing own team work vs collaborating with others we also have

  1. Do we have a plan to bring our developer documentation to the level of a top Internet website, a major free software project?
  2. How can volunteers bring ideas and influence the WMF annual plans and quarterly goals? (currently when plans are published it's too late)
  3. What vision do you see for MediaWiki and volunteer developers 5 years from now?

This would make a good package for a Tech Talk in February about "How to support Wikimedia volunteer developers better". @srishakatux could be the facilitator of this session in her developer advocate role.

For March, the next question in the list would be

  1. What is the priority of making MediaWiki useful for 3rd parties, relative to other WMF goals and investments?

Which could be packaged with other questions relative to MediaWiki for third parties. @CKoerner_WMF (or should I say more accurately @Ckoerner) could be a good facilitator, since he is both a Wikimedia Foundation member and a MediaWiki Stakeholders Group member.

April:

  1. How do we deal with the lack of maintainers for all Wikimedia deployed code?
  2. Whose responsibility is to assure that all MediaWiki core components and the extensions deployed in Wikimedia have active maintainers?

This calls to the area of maintenance and governance (or the absence of it). @Aklapper could be a good facilitator, since he is responsible for our developer retention efforts and he knows well how both problems relate.

May (at the Wikimedia Hackathon?):

  1. In addition to Community Tech, should the other WMF Product teams prioritize their work taking into account the Community Wishlist results?

Community Wishlist is another clear area. @Johan could be a good facilitator of this session, as community liaison supporting Community Tech.

June:

  1. How important is to have a well maintained and well promoted catalog of tools, apps, gadgets, bots, templates, extensions...?

This calls to Labs and the centralization of client side software products (or at least the information about them). @Quiddity could be a good facilitator of this session, since he knows well how badly would editors / users ask for and benefit from better infrastructure and information in this area.

We don't need to follow this exact plan if we find better ones on the way. At some point we might decide to stop going down this list, and maybe create a new one instead.... for instance, aiming at a new list for August - Wikimania? I think this kind of show (two top WMF tech managers addressing an audience) worked well in the Summit and may work well in other big events, bridged with monthly updates. It might be that at some point the model is exhausted, and then we can just stop it having fulfilled an objective.

What do you think?

May (at the Wikimedia Hackathon?):

In addition to Community Tech, should the other WMF Product teams prioritize their work taking into account the Community Wishlist results?

Community Wishlist is another clear area. @Johan could be a good facilitator of this session, as community liaison supporting Community Tech.

I think the hackathon is a good place for this discussion, but it'll have to have another facilitator in that case – I won't be in Vienna.

Qgil added a comment.Jan 27 2017, 10:49 AM

OK, @Johan. We can find another facilitator.

Other than this, any feedback on the overall proposal?

The notes are here. Someone (myself, unless someone wants to be faster) should review them and extract action points (if any), turning them into tasks. We should be looking especially at points that should be taken into account in our upcoming annual plan and our various teams goals.

I can take this on. T156659

For March, the next question in the list would be

What is the priority of making MediaWiki useful for 3rd parties, relative to other WMF goals and investments?

Which could be packaged with other questions relative to MediaWiki for third parties. @CKoerner_WMF (or should I say more accurately @Ckoerner) could be a good facilitator, since he is both a Wikimedia Foundation member and a MediaWiki Stakeholders Group member.

I'm happy to help facilitate here as well. I can create a task, but I'm not sure what to title or how to describe it. Help appreciated.

I like the idea of grouping questions by theme.

I'd be open to tech talks or a hangout style office hour on the next set of questions... grouped by theme is a good idea.

If you want to go the tech-talk route, I can organize. :)

Elitre added a comment.Feb 2 2017, 1:55 PM

I can facilitate the IRC part.

Qgil added a comment.Feb 3 2017, 4:28 PM

If you want to go the tech-talk route, I can organize. :)

@Rfarrand thank you! Let discuss the organization of the next session at T155481: Tech Talk: Wikimedia Foundation Technology and Product Q&A (continued).

Qgil added a comment.Feb 3 2017, 4:29 PM

I can take this on. T156659

Thank you so much!

For March, the next question in the list would be

What is the priority of making MediaWiki useful for 3rd parties, relative to other WMF goals and investments?

Which could be packaged with other questions relative to MediaWiki for third parties. @CKoerner_WMF (or should I say more accurately @Ckoerner) could be a good facilitator, since he is both a Wikimedia Foundation member and a MediaWiki Stakeholders Group member.

I'm happy to help facilitate here as well. I can create a task, but I'm not sure what to title or how to describe it. Help appreciated.

You can mirror T155481.

With Wes' departure and with everybody very busy with the Annual Plan right now, I think it is better to leave this task for March.

With Annual Plan and Wikimedia Conference in March, it will be April.

Qgil closed this task as Resolved.Sep 12 2017, 12:53 PM
Qgil moved this task from Ready to Go to September on the Developer-Advocacy (Jul-Sep 2017) board.

It is time to complete the idea of additional sessions about the list of questions for Victoria and Wes at the last Summit. There is one session more, being planned at T157816: Tech Talk: MediaWiki for third parties. The purpose of this umbrella task has been completed, and I am closing it.